# slurm.conf file generated by configurator.html.
# Put this file on all nodes of your cluster.
# See the slurm.conf man page for more information.
#
ControlMachine=deepthought2
#ControlAddr=
#BackupController=
#BackupAddr=
#
AuthType=auth/munge
CacheGroups=0
#CheckpointType=checkpoint/none
CryptoType=crypto/munge
#DisableRootJobs=NO
EnforcePartLimits=YES
Epilog=/export/software/slurm/scripts/slurm-epilog
Prolog=/export/software/slurm/scripts/slurm-prolog
PrologFlags=ALLOC
#EpilogSlurmctld=
#FirstJobId=1
#MaxJobId=999999
GresTypes=gpu
#GroupUpdateForce=0
#GroupUpdateTime=600
#JobCheckpointDir=/var/slurm/checkpoint
#JobCredentialPrivateKey=
#JobCredentialPublicCertificate=
#JobFileAppend=0
#JobRequeue=1
JobSubmitPlugins=lua
#KillOnBadExit=0
#LaunchType=launch/slurm
Licenses=mdcs:600,matlab:400
#MailProg=/bin/mail
MaxJobCount=25000
#MaxStepCount=40000
#MaxTasksPerNode=128
MpiDefault=none
#MpiParams=ports=#-#
PreemptMode=requeue
PreemptType=preempt/qos
PluginDir=/usr/local/slurm/16.05.1/lib/slurm
#PluginDir=/usr/local/slurm/lib/slurm
#PlugStackConfig=/export/software/slurm/etc/plugstack.conf
#PrivateData=jobs
#ProctrackType=proctrack/pgid
#ProctrackType=proctrack/linuxproc
ProctrackType=proctrack/cgroup
#PrologSlurmctld=
#PropagatePrioProcess=0
#PropagateResourceLimits=
# Let the limit specified by the slurm init script be the authority
PropagateResourceLimitsExcept=MEMLOCK,NPROC
RebootProgram=/sbin/reboot
ReturnToService=2
#SallocDefaultCommand=
#SchedulerParameters=bf_max_job_user=10,max_rpc_cnt=20,bf_window=20160,bf_resolution=3600,default_queue_depth=25,max_switch_wait=86400,bf_continue
SchedulerParameters=bf_max_job_test=10000,bf_max_job_user=250,bf_max_job_part=500,max_rpc_cnt=20,bf_window=10080,bf_resolution=1800,default_queue_depth=25,max_switch_wait=86400,bf_continue,bf_interval=200
SlurmctldPidFile=/export/software/slurm/run/slurmctld.pid
SlurmctldPort=6817
SlurmdPidFile=/export/software/slurm/run/slurmd.pid
SlurmdPort=6818
SlurmdSpoolDir=/export/software/slurm/spool/slurmd
SlurmUser=slurm
#SlurmdUser=root
#SrunEpilog=
#SrunProlog=
StateSaveLocation=/export/software/slurm/spool
SwitchType=switch/none
#TaskEpilog=
#TaskPlugin=task/none
TaskPlugin=task/cgroup
#TaskPluginParam=
#TaskProlog=
TopologyPlugin=topology/tree
TmpFS=/tmp
#TrackWCKey=no
#TreeWidth=
#UnkillableStepProgram=
#UsePAM=0
#
#
# TIMERS
#BatchStartTimeout=10
#CompleteWait=0
#EpilogMsgTime=2000
#GetEnvTimeout=2
HealthCheckInterval=300
HealthCheckProgram=/cell_root/software/nhc/sbin/nhc
InactiveLimit=0
KillWait=30
MessageTimeout=60
#ResvOverRun=0
MinJobAge=300
#OverTimeLimit=0
SlurmctldTimeout=120
SlurmdTimeout=300
#UnkillableStepTimeout=60
#VSizeFactor=0
Waittime=0
#
#
# SCHEDULING
DefMemPerCPU=6000
FastSchedule=1
#MaxMemPerCPU=0
#SchedulerRootFilter=1
#SchedulerTimeSlice=30
SchedulerType=sched/backfill
SchedulerPort=7321
SelectType=select/cons_res
SelectTypeParameters=CR_Core_Memory
#
#
# JOB PRIORITY
PriorityType=priority/multifactor
PriorityDecayHalfLife=0
#PriorityCalcPeriod=
#PriorityFavorSmall=
#PriorityMaxAge=
PriorityFlags=SMALL_RELATIVE_TO_TIME
PriorityUsageResetPeriod=NONE
PriorityWeightAge=10080
PriorityWeightFairshare=0
PriorityWeightJobSize=100000
PriorityWeightPartition=55555
PriorityWeightQOS=12345
#
#
# LOGGING AND ACCOUNTING
AccountingStorageEnforce=associations,limits,qos,safe
AccountingStorageHost=deepthought2.umd.edu
#AccountingStorageLoc=
#AccountingStoragePass=
#AccountingStoragePort=
#The following also includes cpu,mem,node,energy
AccountingStorageTRES=gres/gpu
AccountingStorageType=accounting_storage/slurmdbd
AccountingStorageUser=slurm
AccountingStoreJobComment=YES
AcctGatherEnergyType=acct_gather_energy/ipmi
ClusterName=dt2
DebugFlags=Backfill,NO_CONF_HASH
JobCompHost=deepthought2.umd.edu
JobCompLoc=/export/software/slurm/log/jobcomp
#JobCompPass=
#JobCompPort=
JobCompType=jobcomp/filetxt
#JobCompUser=
JobAcctGatherFrequency=30
# jobacct_gather/cgroup doesn't work properly, don't use it
#JobAcctGatherType=jobacct_gather/cgroup
JobAcctGatherType=jobacct_gather/linux
SlurmctldDebug=4
SlurmctldLogFile=/export/software/slurm/log/slurmctld.log
SlurmdDebug=3
SlurmdLogFile=/export/software/slurm/log/slurmd.log
SlurmSchedLogFile=/export/software/slurm/log/sched.log
SlurmSchedLogLevel=1
#
#
# POWER SAVE SUPPORT FOR IDLE NODES (optional)
#SuspendProgram=
#ResumeProgram=
#SuspendTimeout=
#ResumeTimeout=
#ResumeRate=
#SuspendExcNodes=
#SuspendExcParts=
#SuspendRate=
#SuspendTime=
#
#
# COMPUTE NODES
# These numbers are requirements for a node to be considered valid, NOT an actual measure of what's available on the node
#   GPU nodes
NodeName=compute-b17-[0-23],compute-b18-[0-15] Sockets=2 CoresPerSocket=10 ThreadsPerCore=1 RealMemory=128000 TmpDisk=750000 State=UNKNOWN Weight=4 Gres=gpu:2
#   Standard nodes
NodeName=compute-b18-[16-39],compute-b19-[0-55],compute-b20-[0-55],compute-b22-[0-55],compute-b24-[0-55],compute-b25-[0-55],compute-b27-[0-55],compute-b28-[0-55],compute-a20-[0-31] Sockets=2 CoresPerSocket=10 ThreadsPerCore=1 RealMemory=128000 TmpDisk=750000 State=UNKNOWN
#   Large-memory nodes
NodeName=compute-b23-[0-4] Sockets=4 CoresPerSocket=10 ThreadsPerCore=1 RealMemory=1020000 TmpDisk=750000 State=UNKNOWN Weight=4

# Partition definitions
# standard and high-priority should share the same node list
PartitionName=standard Nodes=compute-b17-[0-23],compute-b18-[0-39],compute-b19-[0-55],compute-b20-[0-55],compute-b22-[0-55],compute-b23-[1-4],compute-b24-[0-55],compute-b25-[0-55],compute-b27-[0-55],compute-b28-[0-46],compute-a20-[0-31] Default=YES DefaultTime=00:15:00 MaxTime=14-0 State=UP Priority=2 Shared=NO
PartitionName=high-priority Nodes=compute-b17-[0-23],compute-b18-[0-39],compute-b19-[0-55],compute-b20-[0-55],compute-b22-[0-55],compute-b23-[1-4],compute-b24-[0-55],compute-b25-[0-55],compute-b27-[0-55],compute-b28-[0-46],compute-a20-[0-31] Default=YES DefaultTime=00:15:00 MaxTime=14-0 State=UP PriorityJobFactor=4 PriorityTier=2 Shared=NO
# a handful of debug nodes
PartitionName=debug Nodes=compute-b28-[47-50] Default=NO DefaultTime=00:15:00 MaxTime=00:15:00 State=UP Priority=2 Shared=NO
# scavenger gets everything
PartitionName=scavenger Nodes=compute-b17-[0-23],compute-b18-[0-39],compute-b19-[0-55],compute-b20-[0-55],compute-b22-[0-55],compute-b23-[0-4],compute-b24-[0-55],compute-b25-[0-55],compute-b27-[0-55],compute-b28-[0-55],compute-a20-[0-31] Default=NO DefaultTime=00:15:00 MaxTime=31-0 State=UP Priority=1 Shared=NO

# Condo partitions
PartitionName=bioinfo Nodes=compute-b28-[51-55],compute-b23-0 Default=NO DefaultTime=00:15:00 State=UP Priority=2 Shared=NO AllowGroups=dt-bioinfo
